package com.caliverse.admin.dynamodb.repository;

import com.caliverse.admin.domain.entity.BattleEvent;
import com.caliverse.admin.domain.request.BattleEventRequest;
import com.caliverse.admin.dynamodb.domain.doc.BattleEventDoc;
import com.caliverse.admin.dynamodb.entity.DynamodbOperationResult;

public interface BattleEventRepository extends DynamoDBRepository<BattleEventDoc> {
    int findEventId();
    void insert(BattleEventRequest battleEventRequest);
    void update(BattleEventRequest battleEventRequest);
    DynamodbOperationResult delete(String id);
    void updateStop(BattleEvent battleEvent);
}
